<?php
$tdatareportaccountincome = array();
$tdatareportaccountincome[".searchableFields"] = array();
$tdatareportaccountincome[".ShortName"] = "reportaccountincome";
$tdatareportaccountincome[".OwnerID"] = "";
$tdatareportaccountincome[".OriginalTable"] = "accounttype";


$tdatareportaccountincome[".pagesByType"] = my_json_decode( "{\"report\":[\"report\"],\"rprint\":[\"rprint\"],\"search\":[\"search\"]}" );
$tdatareportaccountincome[".originalPagesByType"] = $tdatareportaccountincome[".pagesByType"];
$tdatareportaccountincome[".pages"] = types2pages( my_json_decode( "{\"report\":[\"report\"],\"rprint\":[\"rprint\"],\"search\":[\"search\"]}" ) );
$tdatareportaccountincome[".originalPages"] = $tdatareportaccountincome[".pages"];
$tdatareportaccountincome[".defaultPages"] = my_json_decode( "{\"report\":\"report\",\"rprint\":\"rprint\",\"search\":\"search\"}" );
$tdatareportaccountincome[".originalDefaultPages"] = $tdatareportaccountincome[".defaultPages"];

//	field labels
$fieldLabelsreportaccountincome = array();
$fieldToolTipsreportaccountincome = array();
$pageTitlesreportaccountincome = array();
$placeHoldersreportaccountincome = array();

if(mlang_getcurrentlang()=="English")
{
	$fieldLabelsreportaccountincome["English"] = array();
	$fieldToolTipsreportaccountincome["English"] = array();
	$placeHoldersreportaccountincome["English"] = array();
	$pageTitlesreportaccountincome["English"] = array();
	$fieldLabelsreportaccountincome["English"]["AccountTypeID"] = "Account Type ID";
	$fieldToolTipsreportaccountincome["English"]["AccountTypeID"] = "";
	$placeHoldersreportaccountincome["English"]["AccountTypeID"] = "";
	$fieldLabelsreportaccountincome["English"]["AccountTypeName"] = "Account Type Name";
	$fieldToolTipsreportaccountincome["English"]["AccountTypeName"] = "";
	$placeHoldersreportaccountincome["English"]["AccountTypeName"] = "";
	$fieldLabelsreportaccountincome["English"]["Amounts"] = "Amounts";
	$fieldToolTipsreportaccountincome["English"]["Amounts"] = "";
	$placeHoldersreportaccountincome["English"]["Amounts"] = "";
	$fieldLabelsreportaccountincome["English"]["Noted"] = "Noted";
	$fieldToolTipsreportaccountincome["English"]["Noted"] = "";
	$placeHoldersreportaccountincome["English"]["Noted"] = "";
	$fieldLabelsreportaccountincome["English"]["Daterecorde"] = "Daterecorde";
	$fieldToolTipsreportaccountincome["English"]["Daterecorde"] = "";
	$placeHoldersreportaccountincome["English"]["Daterecorde"] = "";
	if (count($fieldToolTipsreportaccountincome["English"]))
		$tdatareportaccountincome[".isUseToolTips"] = true;
}


	$tdatareportaccountincome[".NCSearch"] = true;



$tdatareportaccountincome[".shortTableName"] = "reportaccountincome";
$tdatareportaccountincome[".nSecOptions"] = 0;

$tdatareportaccountincome[".mainTableOwnerID"] = "";
$tdatareportaccountincome[".entityType"] = 2;
$tdatareportaccountincome[".connId"] = "eflejob_at_localhost";


$tdatareportaccountincome[".strOriginalTableName"] = "accounttype";

	



$tdatareportaccountincome[".showAddInPopup"] = false;

$tdatareportaccountincome[".showEditInPopup"] = false;

$tdatareportaccountincome[".showViewInPopup"] = false;

$tdatareportaccountincome[".listAjax"] = false;
//	temporary
//$tdatareportaccountincome[".listAjax"] = false;

	$tdatareportaccountincome[".audit"] = false;

	$tdatareportaccountincome[".locking"] = false;


$pages = $tdatareportaccountincome[".defaultPages"];

if( $pages[PAGE_EDIT] ) {
	$tdatareportaccountincome[".edit"] = true;
	$tdatareportaccountincome[".afterEditAction"] = 1;
	$tdatareportaccountincome[".closePopupAfterEdit"] = 1;
	$tdatareportaccountincome[".afterEditActionDetTable"] = "";
}

if( $pages[PAGE_ADD] ) {
$tdatareportaccountincome[".add"] = true;
$tdatareportaccountincome[".afterAddAction"] = 1;
$tdatareportaccountincome[".closePopupAfterAdd"] = 1;
$tdatareportaccountincome[".afterAddActionDetTable"] = "";
}

if( $pages[PAGE_LIST] ) {
	$tdatareportaccountincome[".list"] = true;
}



$tdatareportaccountincome[".strSortControlSettingsJSON"] = "";




if( $pages[PAGE_VIEW] ) {
$tdatareportaccountincome[".view"] = true;
}

if( $pages[PAGE_IMPORT] ) {
$tdatareportaccountincome[".import"] = true;
}

if( $pages[PAGE_EXPORT] ) {
$tdatareportaccountincome[".exportTo"] = true;
}

if( $pages[PAGE_PRINT] ) {
$tdatareportaccountincome[".printFriendly"] = true;
}



$tdatareportaccountincome[".showSimpleSearchOptions"] = true; // temp fix #13449

// Allow Show/Hide Fields in GRID
$tdatareportaccountincome[".allowShowHideFields"] = true; // temp fix #13449
//

// Allow Fields Reordering in GRID
$tdatareportaccountincome[".allowFieldsReordering"] = true; // temp fix #13449
//

$tdatareportaccountincome[".isUseAjaxSuggest"] = true;



			

$tdatareportaccountincome[".ajaxCodeSnippetAdded"] = false;

$tdatareportaccountincome[".buttonsAdded"] = false;

$tdatareportaccountincome[".addPageEvents"] = false;

// use timepicker for search panel
$tdatareportaccountincome[".isUseTimeForSearch"] = false;


$tdatareportaccountincome[".badgeColor"] = "6DA5C8";


$tdatareportaccountincome[".allSearchFields"] = array();
$tdatareportaccountincome[".filterFields"] = array();
$tdatareportaccountincome[".requiredSearchFields"] = array();

$tdatareportaccountincome[".googleLikeFields"] = array();
$tdatareportaccountincome[".googleLikeFields"][] = "AccountTypeID";
$tdatareportaccountincome[".googleLikeFields"][] = "AccountTypeName";
$tdatareportaccountincome[".googleLikeFields"][] = "Amounts";
$tdatareportaccountincome[".googleLikeFields"][] = "Noted";
$tdatareportaccountincome[".googleLikeFields"][] = "Daterecorde";



$tdatareportaccountincome[".tableType"] = "report";

$tdatareportaccountincome[".printerPageOrientation"] = 0;
$tdatareportaccountincome[".nPrinterPageScale"] = 100;

$tdatareportaccountincome[".nPrinterSplitRecords"] = 40;

$tdatareportaccountincome[".geocodingEnabled"] = false;

//report settings

$tdatareportaccountincome[".reportPrintGroupsPerPage"] = 3;
$tdatareportaccountincome[".reportPrintRecordsPerPage"] = 40;

$tdatareportaccountincome[".pageSizeGroups"] = 5;
$tdatareportaccountincome[".pageSizeRecords"] = 20;


//end of report settings










$tstrOrderBy = "";
$tdatareportaccountincome[".strOrderBy"] = $tstrOrderBy;

$tdatareportaccountincome[".orderindexes"] = array();


$tdatareportaccountincome[".sqlHead"] = "SELECT accounttype.AccountTypeID,  accounttype.AccountTypeName,  accountincome.Amounts,  accountincome.Noted,  accountincome.Daterecorde";
$tdatareportaccountincome[".sqlFrom"] = "FROM accounttype  INNER JOIN accountincome ON accounttype.AccountTypeID = accountincome.AccountTypeID";
$tdatareportaccountincome[".sqlWhereExpr"] = "";
$tdatareportaccountincome[".sqlTail"] = "";










//fill array of records per page for list and report without group fields
$arrRPP = array();
$arrRPP[] = 10;
$arrRPP[] = 20;
$arrRPP[] = 30;
$arrRPP[] = 50;
$arrRPP[] = 100;
$arrRPP[] = 500;
$arrRPP[] = -1;
$tdatareportaccountincome[".arrRecsPerPage"] = $arrRPP;

//fill array of groups per page for report with group fields
$arrGPP = array();
$arrGPP[] = 1;
$arrGPP[] = 3;
$arrGPP[] = 5;
$arrGPP[] = 10;
$arrGPP[] = 50;
$arrGPP[] = 100;
$arrGPP[] = -1;
$tdatareportaccountincome[".arrGroupsPerPage"] = $arrGPP;

$tdatareportaccountincome[".highlightSearchResults"] = true;

$tableKeysreportaccountincome = array();
$tableKeysreportaccountincome[] = "AccountTypeID";
$tdatareportaccountincome[".Keys"] = $tableKeysreportaccountincome;


$tdatareportaccountincome[".hideMobileList"] = array();




//	AccountTypeID
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 1;
	$fdata["strName"] = "AccountTypeID";
	$fdata["GoodName"] = "AccountTypeID";
	$fdata["ownerTable"] = "accounttype";
	$fdata["Label"] = GetFieldLabel("ReportAccountincome","AccountTypeID");
	$fdata["FieldType"] = 3;


		$fdata["AutoInc"] = true;

	
			

		$fdata["strField"] = "AccountTypeID";

		$fdata["sourceSingle"] = "AccountTypeID";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "accounttype.AccountTypeID";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["report"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
//	End validation

	
	
	
	
	
	$fdata["EditFormats"]["search"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatareportaccountincome["AccountTypeID"] = $fdata;
		$tdatareportaccountincome[".searchableFields"][] = "AccountTypeID";
//	AccountTypeName
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 2;
	$fdata["strName"] = "AccountTypeName";
	$fdata["GoodName"] = "AccountTypeName";
	$fdata["ownerTable"] = "accounttype";
	$fdata["Label"] = GetFieldLabel("ReportAccountincome","AccountTypeName");
	$fdata["FieldType"] = 200;


	
	
			

		$fdata["strField"] = "AccountTypeName";

		$fdata["sourceSingle"] = "AccountTypeName";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "accounttype.AccountTypeName";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["report"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=100";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
//	End validation

	
	
	
	
	
	$fdata["EditFormats"]["search"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatareportaccountincome["AccountTypeName"] = $fdata;
		$tdatareportaccountincome[".searchableFields"][] = "AccountTypeName";
//	Amounts
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 3;
	$fdata["strName"] = "Amounts";
	$fdata["GoodName"] = "Amounts";
	$fdata["ownerTable"] = "accountincome";
	$fdata["Label"] = GetFieldLabel("ReportAccountincome","Amounts");
	$fdata["FieldType"] = 5;


	
	
			

		$fdata["strField"] = "Amounts";

	
	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "accountincome.Amounts";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Number");

	
	
	
	
	
	
	
		$vdata["DecimalDigits"] = 0;

	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["report"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
//	End validation

	
	
	
	
	
	$fdata["EditFormats"]["search"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatareportaccountincome["Amounts"] = $fdata;
		$tdatareportaccountincome[".searchableFields"][] = "Amounts";
//	Noted
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 4;
	$fdata["strName"] = "Noted";
	$fdata["GoodName"] = "Noted";
	$fdata["ownerTable"] = "accountincome";
	$fdata["Label"] = GetFieldLabel("ReportAccountincome","Noted");
	$fdata["FieldType"] = 200;


	
	
			

		$fdata["strField"] = "Noted";

	
	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "accountincome.Noted";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["report"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
//	End validation

	
	
	
	
	
	$fdata["EditFormats"]["search"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatareportaccountincome["Noted"] = $fdata;
		$tdatareportaccountincome[".searchableFields"][] = "Noted";
//	Daterecorde
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 5;
	$fdata["strName"] = "Daterecorde";
	$fdata["GoodName"] = "Daterecorde";
	$fdata["ownerTable"] = "accountincome";
	$fdata["Label"] = GetFieldLabel("ReportAccountincome","Daterecorde");
	$fdata["FieldType"] = 7;


	
	
			

		$fdata["strField"] = "Daterecorde";

	
	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "accountincome.Daterecorde";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Short Date");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["report"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Date");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
		$edata["DateEditType"] = 13;
	$edata["InitialYearFactor"] = 100;
	$edata["LastYearFactor"] = 10;

	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
//	End validation

	
	
	
	
	
	$fdata["EditFormats"]["search"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Equals", "More than", "Less than", "Between", EMPTY_SEARCH, NOT_EMPTY );
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatareportaccountincome["Daterecorde"] = $fdata;
		$tdatareportaccountincome[".searchableFields"][] = "Daterecorde";


$tables_data["ReportAccountincome"]=&$tdatareportaccountincome;
$field_labels["ReportAccountincome"] = &$fieldLabelsreportaccountincome;
$fieldToolTips["ReportAccountincome"] = &$fieldToolTipsreportaccountincome;
$placeHolders["ReportAccountincome"] = &$placeHoldersreportaccountincome;
$page_titles["ReportAccountincome"] = &$pageTitlesreportaccountincome;


changeTextControlsToDate( "ReportAccountincome" );

// -----------------start  prepare master-details data arrays ------------------------------//
// tables which are detail tables for current table (master)

//if !@TABLE.bReportCrossTab

$detailsTablesData["ReportAccountincome"] = array();
//endif

// tables which are master tables for current table (detail)
$masterTablesData["ReportAccountincome"] = array();



// -----------------end  prepare master-details data arrays ------------------------------//



require_once(getabspath("classes/sql.php"));











function createSqlQuery_reportaccountincome()
{
$proto0=array();
$proto0["m_strHead"] = "SELECT";
$proto0["m_strFieldList"] = "accounttype.AccountTypeID,  accounttype.AccountTypeName,  accountincome.Amounts,  accountincome.Noted,  accountincome.Daterecorde";
$proto0["m_strFrom"] = "FROM accounttype  INNER JOIN accountincome ON accounttype.AccountTypeID = accountincome.AccountTypeID";
$proto0["m_strWhere"] = "";
$proto0["m_strOrderBy"] = "";
	
		;
			$proto0["cipherer"] = null;
$proto2=array();
$proto2["m_sql"] = "";
$proto2["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto2["m_column"]=$obj;
$proto2["m_contained"] = array();
$proto2["m_strCase"] = "";
$proto2["m_havingmode"] = false;
$proto2["m_inBrackets"] = false;
$proto2["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto2);

$proto0["m_where"] = $obj;
$proto4=array();
$proto4["m_sql"] = "";
$proto4["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto4["m_column"]=$obj;
$proto4["m_contained"] = array();
$proto4["m_strCase"] = "";
$proto4["m_havingmode"] = false;
$proto4["m_inBrackets"] = false;
$proto4["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto4);

$proto0["m_having"] = $obj;
$proto0["m_fieldlist"] = array();
						$proto6=array();
			$obj = new SQLField(array(
	"m_strName" => "AccountTypeID",
	"m_strTable" => "accounttype",
	"m_srcTableName" => "ReportAccountincome"
));

$proto6["m_sql"] = "accounttype.AccountTypeID";
$proto6["m_srcTableName"] = "ReportAccountincome";
$proto6["m_expr"]=$obj;
$proto6["m_alias"] = "";
$obj = new SQLFieldListItem($proto6);

$proto0["m_fieldlist"][]=$obj;
						$proto8=array();
			$obj = new SQLField(array(
	"m_strName" => "AccountTypeName",
	"m_strTable" => "accounttype",
	"m_srcTableName" => "ReportAccountincome"
));

$proto8["m_sql"] = "accounttype.AccountTypeName";
$proto8["m_srcTableName"] = "ReportAccountincome";
$proto8["m_expr"]=$obj;
$proto8["m_alias"] = "";
$obj = new SQLFieldListItem($proto8);

$proto0["m_fieldlist"][]=$obj;
						$proto10=array();
			$obj = new SQLField(array(
	"m_strName" => "Amounts",
	"m_strTable" => "accountincome",
	"m_srcTableName" => "ReportAccountincome"
));

$proto10["m_sql"] = "accountincome.Amounts";
$proto10["m_srcTableName"] = "ReportAccountincome";
$proto10["m_expr"]=$obj;
$proto10["m_alias"] = "";
$obj = new SQLFieldListItem($proto10);

$proto0["m_fieldlist"][]=$obj;
						$proto12=array();
			$obj = new SQLField(array(
	"m_strName" => "Noted",
	"m_strTable" => "accountincome",
	"m_srcTableName" => "ReportAccountincome"
));

$proto12["m_sql"] = "accountincome.Noted";
$proto12["m_srcTableName"] = "ReportAccountincome";
$proto12["m_expr"]=$obj;
$proto12["m_alias"] = "";
$obj = new SQLFieldListItem($proto12);

$proto0["m_fieldlist"][]=$obj;
						$proto14=array();
			$obj = new SQLField(array(
	"m_strName" => "Daterecorde",
	"m_strTable" => "accountincome",
	"m_srcTableName" => "ReportAccountincome"
));

$proto14["m_sql"] = "accountincome.Daterecorde";
$proto14["m_srcTableName"] = "ReportAccountincome";
$proto14["m_expr"]=$obj;
$proto14["m_alias"] = "";
$obj = new SQLFieldListItem($proto14);

$proto0["m_fieldlist"][]=$obj;
$proto0["m_fromlist"] = array();
												$proto16=array();
$proto16["m_link"] = "SQLL_MAIN";
			$proto17=array();
$proto17["m_strName"] = "accounttype";
$proto17["m_srcTableName"] = "ReportAccountincome";
$proto17["m_columns"] = array();
$proto17["m_columns"][] = "AccountTypeID";
$proto17["m_columns"][] = "AccountTypeName";
$obj = new SQLTable($proto17);

$proto16["m_table"] = $obj;
$proto16["m_sql"] = "accounttype";
$proto16["m_alias"] = "";
$proto16["m_srcTableName"] = "ReportAccountincome";
$proto18=array();
$proto18["m_sql"] = "";
$proto18["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto18["m_column"]=$obj;
$proto18["m_contained"] = array();
$proto18["m_strCase"] = "";
$proto18["m_havingmode"] = false;
$proto18["m_inBrackets"] = false;
$proto18["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto18);

$proto16["m_joinon"] = $obj;
$obj = new SQLFromListItem($proto16);

$proto0["m_fromlist"][]=$obj;
												$proto20=array();
$proto20["m_link"] = "SQLL_INNERJOIN";
			$proto21=array();
$proto21["m_strName"] = "accountincome";
$proto21["m_srcTableName"] = "ReportAccountincome";
$proto21["m_columns"] = array();
$proto21["m_columns"][] = "IncomeID";
$proto21["m_columns"][] = "AccountTypeID";
$proto21["m_columns"][] = "Amounts";
$proto21["m_columns"][] = "Noted";
$proto21["m_columns"][] = "Daterecorde";
$obj = new SQLTable($proto21);

$proto20["m_table"] = $obj;
$proto20["m_sql"] = "INNER JOIN accountincome ON accounttype.AccountTypeID = accountincome.AccountTypeID";
$proto20["m_alias"] = "";
$proto20["m_srcTableName"] = "ReportAccountincome";
$proto22=array();
$proto22["m_sql"] = "accountincome.AccountTypeID = accounttype.AccountTypeID";
$proto22["m_uniontype"] = "SQLL_UNKNOWN";
						$obj = new SQLField(array(
	"m_strName" => "AccountTypeID",
	"m_strTable" => "accountincome",
	"m_srcTableName" => "ReportAccountincome"
));

$proto22["m_column"]=$obj;
$proto22["m_contained"] = array();
$proto22["m_strCase"] = "= accounttype.AccountTypeID";
$proto22["m_havingmode"] = false;
$proto22["m_inBrackets"] = false;
$proto22["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto22);

$proto20["m_joinon"] = $obj;
$obj = new SQLFromListItem($proto20);

$proto0["m_fromlist"][]=$obj;
$proto0["m_groupby"] = array();
$proto0["m_orderby"] = array();
$proto0["m_srcTableName"]="ReportAccountincome";		
$obj = new SQLQuery($proto0);

	return $obj;
}
$queryData_reportaccountincome = createSqlQuery_reportaccountincome();


	
		;

					

$tdatareportaccountincome[".sqlquery"] = $queryData_reportaccountincome;



$tdatareportaccountincome[".hasEvents"] = false;

?>